/**
 * @file stack.h
 * @author clzhao98 <clzhao98@outlook.com>
 * @brief 
 * @version 0.1
 * @date 2024-07-28
 * 
 * @copyright Copyright (c) 2024
 * 
 */
#ifndef __STACK__H__
#define __STACK__H__
/**
 * @brief 先入先出
 * 
 */

#include <cstddef>
class Stack
{
private:
    size_t capacity_;
    
public:
    Stack(); 
    ~Stack();
    void push(size_t val);
    void pop();
    size_t top();
    bool empty();
    size_t size();
};


#endif  //!__STACK__H__